Bug 514618 - initscript doesn't work
Summary: initscript doesn't work
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F12Alpha, F12AlphaBlocker
TreeView+ depends on / blocked
 
Reported: 2009-07-29 21:03 UTC by Matthias Clasen
Modified: 2009-07-30 14:02 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-30 14:02:48 UTC
Type: ---


Attachments (Terms of Use)

Description Matthias Clasen 2009-07-29 21:03:45 UTC
With NetworkManager-0.7.995-0.git20090728.fc12.x86_64

/sbin/service NetworkManager start

claims success, but doesn't actually start NM

Running /usr/sbin/NetworkManager manually works fine.

Comment 1 Matthias Clasen 2009-07-30 13:39:06 UTC
Seems to be selinux trouble:

SELinux is preventing NetworkManager (NetworkManager_t) "create" NetworkManager_t. 

Source Context:  system_u:system_r:NetworkManager_t:s0Target Context:  system_u:system_r:NetworkManager_t:s0Target Objects:  None [ netlink_kobject_uevent_socket ]Source:  NetworkManagerSource Path:  /usr/sbin/NetworkManagerPort:  <Unknown>Host:  planemaskSource RPM Packages:  NetworkManager-0.7.995-0.git20090728.fc12Target RPM Packages:  Policy RPM:  selinux-policy-3.6.24-1.fc12Selinux Enabled:  TruePolicy Type:  targetedMLS Enabled:  TrueEnforcing Mode:  EnforcingPlugin Name:  catchallHost Name:  planemaskPlatform:  Linux planemask 2.6.31-0.103.rc4.git2.fc12.x86_64 #1 SMP Tue Jul 28 15:51:40 EDT 2009 x86_64 x86_64Alert Count:  2First Seen:  Wed 29 Jul 2009 04:15:34 PM EDTLast Seen:  Thu 30 Jul 2009 08:34:13 AM EDTLocal ID:  f033b240-6b31-4cb0-a1ba-b11c41582e8dLine Numbers:  Raw Audit Messages :node=planemask type=AVC msg=audit(1248957253.807:7): avc: denied { create } for pid=1061 comm="NetworkManager" scontext=system_u:system_r:NetworkManager_t:s0 tcontext=system_u:system_r:NetworkManager_t:s0 tclass=netlink_kobject_uevent_socket node=planemask type=SYSCALL msg=audit(1248957253.807:7): arch=c000003e syscall=41 success=yes exit=0 a0=10 a1=2 a2=f a3=7fff301ba3b0 items=0 ppid=1 pid=1061 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="NetworkManager" exe="/usr/sbin/NetworkManager" subj=system_u:system_r:NetworkManager_t:s0 key=(null)

Comment 2 Daniel Walsh 2009-07-30 14:02:48 UTC
Fixed in selinux-policy-3.6.25-1.fc12.noarch


Note You need to log in before you can comment on or make changes to this bug.